Last modified: 2014-04-17 05:22:17 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 43496 - Summary field with 4 tildes should have its own separate message
Summary field with 4 tildes should have its own separate message
Status: REOPENED
Product: MediaWiki extensions
Classification: Unclassified
LiquidThreads (Other open bugs)
master
All All
: Lowest trivial (vote)
: ---
Assigned To: Nobody - You can work on this!
https://translatewiki.net/w/i.php?tit...
: easy, i18n
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2012-12-29 00:18 UTC by Siebrand Mazeland
Modified: 2014-04-17 05:22 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Siebrand Mazeland 2012-12-29 00:18:13 UTC
An Lqt summary to which 4 tildes are added gets a message "It is not necessary to sign your post with four tildes. The signature is shown automatically."

This message is incorrect. Summaries do not get automatic signatures, as they are added as part of the start post of a thread.

Steps to reproduce:
1. Go to URL (make sure you are logged in)
2. Type "~~~~"

Observe that the warning is displayed in red above the edit area. Leave the page without making changes.

3. Go to [1]. This is a full thread view of the thread that was summarised in URL.

Observe that the summary is part of the initial post in the thread and that no signature was added automatically for the summary.

[1] https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Cite_text/en
Comment 1 Nemo 2013-01-08 22:58:26 UTC
Admittedly, though, summaries are usually not to be signed either, as they're supposed to be community-agreed summaries not owned by anyone in particular.
I've no idea if the error could be rephrased or should just be split for this other case.
Comment 2 Siebrand Mazeland 2013-01-08 23:00:21 UTC
(In reply to comment #1)
> Admittedly, though, summaries are usually not to be signed either, as they're
> supposed to be community-agreed summaries not owned by anyone in particular.
> I've no idea if the error could be rephrased or should just be split for this
> other case.

You mean there is at least one use case known where community agreed summaries are used that are not being signed? :)
Comment 3 Nemo 2013-01-08 23:09:21 UTC
(In reply to comment #2)
> You mean there is at least one use case known where community agreed
> summaries
> are used that are not being signed? :)

No, I mean that it seems to be an assumption in the code, which for instance doesn't warn you about multiple users editing a summary, as it does for messages.
Comment 4 Quim Gil 2013-03-19 17:33:45 UTC
The default LQT functionality here makes sense. You are using summaries in a very specific way that doesn't belong to usual "threads". 

As a simple solution you could edit the summary to say

"The following issue is closed by siebrand (chase)." 

and then add a reply to the thread saying

"Already done when I checked."

that would appear automatically signed to you.

I agree with the current design and I would vote for a WONTFIX in this report.
Comment 5 Quim Gil 2014-04-17 04:52:44 UTC
One year of silence. Resolving as WONTFIX.
Comment 6 Nemo 2014-04-17 05:22:17 UTC
We forgot to clarify the nature of this report. It's not an enhancement request, it's a legitimate bug: [[mw:Localisation#Avoid_message_reuse]].
We just have to split the message in question, so that in the case of summaries it says the same thing with the correct words: "It is not necessary to sign your summary with four tildes".

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links